gnutls_certificate_type_list(3)

NAME
gnutls_certificate_type_list - API function

SYNOPSIS
#include <gnutls/gnutls.h>

const gnutls_certificate_type_t * gnutls_certificate_type_list( void);

ARGUMENTS

void

DESCRIPTION
Get a list of certificate types. Note that to be able to use OpenPGP certificates, you must link to libgnutls-extra and call gnutls_global_init_extra().

RETURNS
a (0)-terminated list of gnutls_certificate_type_t integers indicating the available certificate types.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.
General guidelines for reporting bugs: http://www.gnu.org/gethelp/
GnuTLS home page: http://www.gnu.org/software/gnutls/

COPYRIGHT
Copyright © 2012 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual. As an alternative you may obtain the manual from:

    http://www.gnu.org/software/gnutls/manual/